Coordinates → nearest city
Returns the nearest city to a latitude/longitude, with its distance.
Request
GEThttps://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85
*
String. 'lat,lon', e.g. 28.6139,77.2090.
Language
Client
1curl --request GET \
2 --url 'https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85' \
3 --header 'Accept: application/json' \
4 --header 'X-API-Key: YOUR_API_KEY'Coordinates → nearest city: Geocoding & Geo Tools API reference
Returns the nearest city to a latitude/longitude, with its distance. This endpoint is part of the Geocoding & Geo Tools API: Geocode cities to coordinates, reverse-geocode coordinates, measure distances and find the time zone of any place.
Coordinates → nearest city: example requests in every language
GET /v1/reverse in Shell (cURL)
curl --request GET \
--url 'https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85' \
--header 'Accept: application/json' \
--header 'X-API-Key: YOUR_API_KEY'GET /v1/reverse in Shell (HTTPie)
http GET 'https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85' \
Accept:application/json \
X-API-Key:YOUR_API_KEYGET /v1/reverse in Shell (Wget)
wget --quiet \
--method GET \
--header 'Accept: application/json' \
--header 'X-API-Key: YOUR_API_KEY' \
--output-document \
- 'https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85'GET /v1/reverse in Node.js (http)
const http = require('https');
const options = {
method: 'GET',
hostname: 'geo-tools.p.apihiver.com',
port: null,
path: '/v1/reverse?coords=18.52%2C73.85',
headers: {
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();GET /v1/reverse in Node.js (Request)
const request = require('request');
const options = {
method: 'GET',
url: 'https://geo-tools.p.apihiver.com/v1/reverse',
qs: {coords: '18.52,73.85'},
headers: {Accept: 'application/json', 'X-API-Key': 'YOUR_API_KEY'}
};
request(options, function (error, response, body) {
if (error) throw new Error(error);
console.log(body);
});GET /v1/reverse in Node.js (Unirest)
const unirest = require('unirest');
const req = unirest('GET', 'https://geo-tools.p.apihiver.com/v1/reverse');
req.query({
coords: '18.52,73.85'
});
req.headers({
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
});
req.end(function (res) {
if (res.error) throw new Error(res.error);
console.log(res.body);
});GET /v1/reverse in Node.js (Axios)
const axios = require('axios').default;
const options = {
method: 'GET',
url: 'https://geo-tools.p.apihiver.com/v1/reverse',
params: {coords: '18.52,73.85'},
headers: {Accept: 'application/json', 'X-API-Key': 'YOUR_API_KEY'}
};
try {
const { data } = await axios.request(options);
console.log(data);
} catch (error) {
console.error(error);
}GET /v1/reverse in Node.js (Fetch)
const fetch = require('node-fetch');
const url = 'https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85';
const options = {
method: 'GET',
headers: {Accept: 'application/json', 'X-API-Key': 'YOUR_API_KEY'}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}GET /v1/reverse in JavaScript (XMLHttpRequest)
const data = null;
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener('readystatechange', function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open('GET', 'https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85');
xhr.setRequestHeader('Accept', 'application/json');
xhr.setRequestHeader('X-API-Key', 'YOUR_API_KEY');
xhr.send(data);GET /v1/reverse in JavaScript (Axios)
import axios from 'axios';
const options = {
method: 'GET',
url: 'https://geo-tools.p.apihiver.com/v1/reverse',
params: {coords: '18.52,73.85'},
headers: {Accept: 'application/json', 'X-API-Key': 'YOUR_API_KEY'}
};
try {
const { data } = await axios.request(options);
console.log(data);
} catch (error) {
console.error(error);
}GET /v1/reverse in JavaScript (Fetch)
const url = 'https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85';
const options = {
method: 'GET',
headers: {Accept: 'application/json', 'X-API-Key': 'YOUR_API_KEY'}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}GET /v1/reverse in JavaScript (jQuery)
const settings = {
async: true,
crossDomain: true,
url: 'https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85',
method: 'GET',
headers: {
Accept: 'application/json',
'X-API-Key': 'YOUR_API_KEY'
}
};
$.ajax(settings).done(function (response) {
console.log(response);
});GET /v1/reverse in Python (http.client)
import http.client
conn = http.client.HTTPSConnection("geo-tools.p.apihiver.com")
headers = {
'Accept': "application/json",
'X-API-Key': "YOUR_API_KEY"
}
conn.request("GET", "/v1/reverse?coords=18.52%2C73.85", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))GET /v1/reverse in Python (Requests)
import requests
url = "https://geo-tools.p.apihiver.com/v1/reverse"
querystring = {"coords":"18.52,73.85"}
headers = {
"Accept": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers, params=querystring)
print(response.json())GET /v1/reverse in PHP (cURL)

GET /v1/reverse in Swift (NSURLSession)
import Foundation
let headers = [
"Accept": "application/json",
"X-API-Key": "YOUR_API_KEY"
]
let request = NSMutableURLRequest(url: NSURL(string: "https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error as Any)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()GET /v1/reverse in Objective-C (NSURLSession)
#import <Foundation/Foundation.h>
NSDictionary *headers = @{ @"Accept": @"application/json",
@"X-API-Key": @"YOUR_API_KEY" };
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:@"https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85"]
cachePolicy:NSURLRequestUseProtocolCachePolicy
timeoutInterval:10.0];
[request setHTTPMethod:@"GET"];
[request setAllHTTPHeaderFields:headers];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *dataTask = [session dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"%@", error);
} else {
NSHTTPURLResponse *httpResponse = (NSHTTPURLResponse *) response;
NSLog(@"%@", httpResponse);
}
}];
[dataTask resume];GET /v1/reverse in Kotlin (OkHttp)
val client = OkHttpClient()
val request = Request.Builder()
.url("https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85")
.get()
.addHeader("Accept", "application/json")
.addHeader("X-API-Key", "YOUR_API_KEY")
.build()
val response = client.newCall(request).execute()GET /v1/reverse in C (libcurl)
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_URL, "https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Accept: application/json");
headers = curl_slist_append(headers, "X-API-Key: YOUR_API_KEY");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);GET /v1/reverse in Clojure (clj-http)
(require '[clj-http.client :as client])
(client/get "https://geo-tools.p.apihiver.com/v1/reverse" {:headers {:X-API-Key "YOUR_API_KEY"}
:query-params {:coords "18.52,73.85"}
:accept :json})GET /v1/reverse in OCaml (CoHTTP)
open Cohttp_lwt_unix
open Cohttp
open Lwt
let uri = Uri.of_string "https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85" in
let headers = Header.add_list (Header.init ()) [
("Accept", "application/json");
("X-API-Key", "YOUR_API_KEY");
] in
Client.call ~headers `GET uri
>>= fun (res, body_stream) ->
(* Do stuff with the result *)GET /v1/reverse in R (httr)
library(httr)
url <- "https://geo-tools.p.apihiver.com/v1/reverse"
queryString <- list(coords = "18.52,73.85")
response <- VERB("GET", url, query = queryString, add_headers('X-API-Key' = 'YOUR_API_KEY'), content_type(""), accept("application/json"))
content(response, "text")GET /v1/reverse in PowerShell (Invoke-WebRequest)
$headers=@{}
$headers.Add("Accept", "application/json")
$headers.Add("X-API-Key", "YOUR_API_KEY")
$response = Invoke-WebRequest -Uri 'https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85' -Method GET -Headers $headersGET /v1/reverse in PowerShell (Invoke-RestMethod)
$headers=@{}
$headers.Add("Accept", "application/json")
$headers.Add("X-API-Key", "YOUR_API_KEY")
$response = Invoke-RestMethod -Uri 'https://geo-tools.p.apihiver.com/v1/reverse?coords=18.52%2C73.85' -Method GET -Headers $headersGET /v1/reverse in HTTP (HTTP/1.1)
GET /v1/reverse?coords=18.52%2C73.85 HTTP/1.1
Accept: application/json
X-Api-Key: YOUR_API_KEY
Host: geo-tools.p.apihiver.com
Example response (200, application/json)
Success.
1{
2 "distance_km": 0.57,
3 "nearest_city": {
4 "lat": 18.51957,
5 "lon": 73.85535,
6 "name": "Pune",
7 "country": "India",
8 "timezone": "Asia/Kolkata",
9 "population": 3124458,
10 "country_code": "IN"
11 }
12}Errors
- 400 — A required parameter is missing or a value has the wrong format.
1{ 2 "error": { 3 "code": "INVALID_INPUT", 4 "message": "coords: Field required" 5 } 6}
Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.